<template>
  <div class="home">
    <Form @product-data="getProducts" />
    <Table :products="products" />
  </div>
</template>

<script>
import Form from '@/components/Form.vue'
import Table from '@/components/Table.vue'

export default {
  name: 'Home',
  components: {
    Form,
    Table
  },
  props: {
    products: Array
  },
  methods: {
    getProducts: function(product) {
      this.$emit("product-data", product)
    },
  }
}
</script>
